#import "day.h"

@implementation day
- (id) init {
	self = [super init];
	if (self != nil) {
		NSArray *keys = [NSArray arrayWithObjects:@"dayName",nil];
		NSArray *values = [NSArray arrayWithObjects:@"New Day", nil];
		properties = [[NSMutableDictionary alloc]initWithObjects:values forKeys:keys];
		lessons = [[NSMutableArray alloc]init];
	}
	return self;
}

- (NSMutableDictionary *) properties
{
	return properties;
}
- (void) setProperties: (NSDictionary *)newProperties
{
	[properties setDictionary:newProperties];
}


- (NSMutableArray *) lessons
{
	return lessons;
}

- (void) setLessons: (NSArray *) newLessons
{
	[lessons setArray:newLessons];
}

//---------------------
-(id)initWithCoder:(NSCoder *)coder
{
	[super init];
	[self setProperties:[coder decodeObject]];
	[self setLessons:[coder decodeObject]];
	return self;
}

-(void)encodeWithCoder:(NSCoder *)coder
{
	[coder encodeObject:properties];
	[coder encodeObject:lessons];
}

//---------------------

- (void) dealloc {
	[properties release];
	[lessons release];
	[super dealloc];
}


@end
