#import "lesson.h"


@implementation lesson

- (id) init {
	self = [super init];
	if (self != nil) {
		NSArray *keys = [NSArray arrayWithObjects:@"name",@"hours",@"assignment",nil];
		NSArray *values = [NSArray arrayWithObjects:@"test", @"1-1", [NSString string],nil];
		properties = [[NSMutableDictionary alloc]initWithObjects:values forKeys:keys];
	}
	return self;
}

-(NSMutableDictionary *)properties
{
	return properties;
}

-(void)setProperties:(NSDictionary *)newProperties
{
	[properties setDictionary:newProperties];
}

//---------------
-(id)initWithCoder:(NSCoder *)coder
{
	[super init];
	[self setProperties:[coder decodeObject]];
	return self;
}

-(void)encodeWithCoder:(NSCoder *)coder
{
	[coder encodeObject:properties];
}
//-----------------

- (void) dealloc {
	[properties release];
	[super dealloc];
}

@end
