#import "MyController.h"

@implementation MyController

- (id) init {
	self = [super init];
	if (self != nil) {
		days = [[NSMutableArray alloc]init];
	}
	return self;
}


- (NSMutableArray *) days
{
	return days;
}
- (void) setDays: (NSArray *)newDays
{
	[days setArray:newDays];
}

-(IBAction)save:(id)sender
{
	NSSavePanel *savePanel = [NSSavePanel savePanel];
	SEL sel = @selector(savePanelDidEnd:returnCode:contextInfo:);
	[savePanel beginSheetForDirectory:@"~/Documents" file:@"menu.items" modalForWindow:[table window] modalDelegate:self didEndSelector:sel contextInfo:nil];
}

-(void)savePanelDidEnd:(NSSavePanel *)sheet
			returnCode:(int)returnCode
		   contextInfo:(void *)context
{
	if(returnCode == NSOKButton){
		[NSArchiver archiveRootObject:days toFile:[sheet filename]];
	}
}

-(IBAction)load:(id)sender
{
	NSOpenPanel *openPanel = [NSOpenPanel openPanel];
	SEL sel = @selector(openPanelDidEnd:returnCode:contextInfo:);
	[openPanel beginSheetForDirectory:@"~/Documents" file:nil types:nil modalForWindow:[table window] modalDelegate:self didEndSelector:sel contextInfo:nil];
}

-(void)openPanelDidEnd:(NSOpenPanel *)sheet
returnCode: (int)returnCode contextInfo:(void *)contextInfo
{
	if (returnCode == NSOKButton) {
		NSMutableArray *array;
		array = [NSUnarchiver unarchiveObjectWithFile:[sheet filename]];
		[array retain];
		[days release];
		days = array;
		[table reloadData];
	}
}

-(void) dealloc {
	[days release];
	[super dealloc];
}


@end
